Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#15787 closed defect (fixed)

Files needed in SAGE_ATLAS_LIB

Reported by: ncohen Owned by:
Priority: major Milestone: sage-6.2
Component: documentation Keywords:
Cc: vbraun, jpflori Merged in:
Authors: Nathann Cohen Reviewers: Ralf Stephan
Report Upstream: N/A Work issues:
Branch: 6a2796c (Commits) Commit:
Dependencies: Stopgaps:

Description

Following the conversation on sage-release [1]. It looks like the files libptcblas and libptf77blas are not actually required by Atlas. And debian does not contain them anyway.

Nathann

[1] https://groups.google.com/d/msg/sage-release/oxGODejce_0/yuJp4ZM-9ksJ

Change History (5)

comment:1 Changed 5 years ago by ncohen

  • Branch set to u/ncohen/ticket/15787
  • Created changed from 02/05/14 13:02:01 to 02/05/14 13:02:01
  • Modified changed from 02/05/14 13:02:01 to 02/05/14 13:02:01

comment:2 Changed 5 years ago by ncohen

  • Commit set to 6a2796cc250490c995e6b8e7b56c0df71fbcc51d
  • Status changed from new to needs_review

New commits:

6a2796ctrac #15787: removing libptcblas and libptf77blas from the list of mandatory ATLAS files

comment:3 Changed 5 years ago by rws

  • Reviewers set to Ralf Stephan
  • Status changed from needs_review to positive_review

comment:4 Changed 5 years ago by vbraun

  • Branch changed from u/ncohen/ticket/15787 to 6a2796cc250490c995e6b8e7b56c0df71fbcc51d
  • Resolution set to fixed
  • Status changed from positive_review to closed

comment:5 Changed 5 years ago by leif

  • Commit 6a2796cc250490c995e6b8e7b56c0df71fbcc51d deleted

Just for the record:

Sage's current ATLAS package (3.10.1.20140210) also installs, besides .la files, the following ones not mentioned in the documentation:

  • libptlapack.* (also optional when using SAGE_ATLAS_LIB)
  • libsatlas[.so]
  • libtatlas[.so]

Don't know what the second and third are for; in contrast to the other shared libraries, those aren't versioned.

Note: See TracTickets for help on using tickets.